# readFrom

abstract fun readFrom(reader: Reader): DeploymentDescriptor

Reads the deployment descriptor from a reader.

#### Return

this

#### Parameters

reader

The reader to read the deployment descriptor from

abstract fun readFrom(path: Any): Boolean

Reads the deployment descriptor from a file. The paths are resolved as defined by file

#### Return

whether the descriptor could be read from the given path

#### Parameters

path

The path of the file to read the deployment descriptor from